parameters:
  reclass:
    storage:
      node:
        wordpress_web_ha_salt_stg:
          name: web01
          domain: wordpress-ha.dls.vpc.cloudlab.cz
          classes:
          - system.linux.system.single
          - system.openssh.client.cluster.cloudlab
          - system.openssh.server.team.tcpcloud
          - system.wordpress.server.multi
          - system.wordpress.server.app.devel
          - system.ansible.client.single
          params:
            salt_master_host: ${_param:reclass_config_master}
            apache_wordpress_devel_host: wordpress-ha-salt.robotice.cz
            mysql_wordpress_devel_password: password
        wordpress_web_ha_puppet_stg:
          name: web02
          domain: wordpress-ha.dls.vpc.cloudlab.cz
          classes:
          - system.linux.system.single
          - system.openssh.client.cluster.cloudlab
          - system.openssh.server.team.tcpcloud
          - system.puppet.agent.master
          - system.ansible.client.single
          params:
            salt_master_host: ${_param:reclass_config_master}
            puppet_agent_master_host: ${_param:reclass_config_master}
            puppet_agent_report_host: ${_param:reclass_config_master}
        wordpress_web_ha_ansible_stg:
          name: web03
          domain: wordpress-ha.dls.vpc.cloudlab.cz
          classes:
          - system.linux.system.single
          - system.openssh.client.cluster.cloudlab
          - system.openssh.server.team.tcpcloud
          - system.ansible.client.single
          params:
            salt_master_host: ${_param:reclass_config_master}
            apache_wordpress_devel_host: wordpress-ansible.robotice.cz
#            mysql_wordpress_devel_password: password